//左边栏的用户信息
function user_info(cache) {
	ajaxp({
		url:'/user/info',
		type:'post',
		data:'common=1',
		success:function(json) {
			if (json.state > 0) {
				var user_data = json.user_data;
				$('#personal-info').attr('onclick',"goUrl('/menu/personal/id/"+user_data.user_id+"?user_id="+user_data.user_id+"',1)");
				if (!user_data.head_portrait) {
					user_data.head_portrait = '../../assets/image/headpic.jpg'
				}
				$('#user-img').attr('src',user_data.head_portrait);
				$('#user-name').html(user_data.user_name);
				if (!user_data.memo) {
					user_data.memo = '点击编辑个人签名';
				}
				$('#user-motto').html(user_data.memo);
			} else {
				alert(json.msg);
			}
		}
	});
}
regUpdateEvent({
	name: 'user_info',
	callback:"user_info"
});
/**
 * 左边栏的消息，获取新消息的条数，并存入store
 */
function refresh_msg(cache) {
	if (typeof get_msg_num != 'undefined') {
		get_msg_num();
	}
	//获取历史消息
	var msg_key = getUserid() + '_cache_msg';
	var msg = {};
	var msg_num = 0;
	if (typeof cache == 'undefined' || !!cache === true) {
		msg = store.get(msg_key);
		if (!msg) {
			msg = {};
		}
		var last_time = msg.last_time;//存入的是js时间戳
		if (last_time && parseInt((new Date()).valueOf()/1000) - last_time < 60 ) { //间隔一分钟
			msg_num = msg.num;
			if (msg_num) {
				$('#msgNum').html(msg_num);
			} else {
				$('#msgNum').html('');
			}
			return true;
		}
	}
	ajaxp({
		url: '/message/getnum',
		data: 'r='+Math.random(),
		type:'get',
		needLoading: false,
		success:function(json) {
			if (json.state > 0) {
				msg_num = parseInt(json.operate_msg) + parseInt(json.inbox_msg) + parseInt(json.group_msg) + parseInt(json.person_msg);
				if (msg_num) {
					if (msg_num > 99) {
						msg_num = '99+';
					}
					$('#msgNum').html(msg_num);
				} else {
					$('#msgNum').html('');
				}
				msg.num = msg_num;
				msg.last_time = parseInt((new Date()).valueOf()/1000);
				store.set(msg_key, msg);
			}
		}
	});
}
regUpdateEvent({
	name: 'refresh_msg',
	callback: 'refresh_msg',
	timeout:0
});
setTimeout(function () {
	refresh_msg();
}, 500);
//当没有页面切换的时候，5分钟自动刷新一次
setInterval(function () {
	refresh_msg(0);
}, 1000*5*60);