(function() {
	'user strict';
	
	$element = $('.dropdown');
	$dropmenu = null;
	
	if ($element.length <= 0) {
		return false;
	}
	
	var openingDmId = '';//正在打开的dropmenu的ID
	var currentDmId = '';//当前打开的dropmenu的ID
	var currentDmState = 'close';//当前打开的dropmenu的状态
	var $openingDropmenu = '';//正在打开的dropdown的jQuery对象
	
	(function init() {
		
	})();
	
	function toggle(){
		if (currentDmId == openingDmId) {
			close();
		} else {
			close();
			open();
		}
	}
	
	function open() {
		if (currentDmId != '') {
			animation(currentDmId,true);
			openingDmId = currentDmId;
			currentDmId = '';
		}
		$(document).on('click.dropdown',function() {
			close();
		})
	}
	
	function close() {
		if (openingDmId != '') {
			animation(openingDmId,false);
			openingDmId = '';
		}
		$(document).off('click.dropdown')
	}
	
	function animation(openingDmId,isOpen) {
		var height = 0;
		var opacity = 0;
		var $openingDropmenu = $(openingDmId);
		if (isOpen) {
			$openingDropmenu.children().each(function() {
				var $this = $(this);
				if (!$this.is(':hidden')) {
					height += $(this).outerHeight();
				}
			});
			opacity = 1;
		}
		$openingDropmenu.css({
			'height': height+'px',
			'opacity': opacity,
			'-webkit-transition':'opacity .1s ease-in,  height .1s ease-in'
		});
	}
	
	$('.dropdown').on('click.dropdown',function(e) {
		var dropmenuId = $(this).attr('data-href');
		var $dropmenu = $(dropmenuId);
		if ($dropmenu.length > 0) {
			currentDmId = dropmenuId;
			toggle();
		}
		e.stopPropagation();
	})
})();