function set_btn_on(item) {
	var _this = $(item);
	_this.css('background', '#22272C');
	setTimeout(function () {
		_this.css('background', '#323949');
	}, 500);
}

function set_active(item) {
	var _this = $(item);
	if (_this.attr('id') == 'menu-logout') {
		return false;
	}
	if (_this.hasClass('active')) {
		snapper.close();
	} else {
		var _cur = $('#left-menu').find('li.active');
		_cur.removeClass('active');
		_this.addClass('active');
		setTimeout(function() {
			snapper.close();
			_this.removeClass('active');
			_cur.addClass('active');
		}, 1000);
	}
}

var screenWidth = document.body.offsetWidth;
var snapper = new Snap({
	element: document.getElementById("snap-content"),
	disable: 'right',
	maxPosition: "80%",
	touchToDrag: false
});

$('#g-snap-menu').on(TouchOrClick, function () {
	snapper.open('left');
});
function weather() {
	ajaxp({
		url: '/user/weather',
		cache: '1',
		cache_timeout: 3600/2,
		success: function(json) {
			console.log(json);
			var weather = '加载天气失败 <div class="mt10"><span class="icon-spin4"></span></div>';
			if (json.state > 0) {
				weather = '<p>' + json.city + '</p><p>' + json.weather + '</p><p>' + json.temp1 + ' ~ ' +json.temp2 + '</p>';
			}
			$('#weather').html(weather);
		}
	});
};
regUpdateEvent({
	name: 'weather',
	callback: 'weather'
});
function set_menu_active() {
	if (typeof menu_active != 'undefined') {
		$('#' + menu_active).addClass('active');
		$('#' + menu_active).attr('onclick', 'set_active(this);');
	}
}
addLoadEvent(set_menu_active);
$('.more').on(TouchOrClick,function() {
	$trigger = $(this);
	console.log($(this));
	var $this = $trigger.attr('data-href') ? $($trigger.attr('data-href')) : $trigger.next();
	if ( $this.hasClass('open')) {
		$this.css({
			'height':'0',
//				'-webkit-transition':'height .4s linear'
		});
		$this.removeClass('msg-animation');
		$trigger.find('.icon-left-dir').attr('class','icon-left-dir');
		$this.removeClass('open');
	} else {
		$this.css({
			'height':$this.children().outerHeight(),
//				'-webkit-transition':'height .5s linear'
		});
		$trigger.find('.icon-left-dir').attr('class','icon-left-dir opened');
		$this.addClass('open');
		$this.addClass('msg-animation');
	}
});
window.addEventListener('load', function () {
	FastClick.attach(document.body);
}, false);
var isIOS = true;
function checkDevicePlatform() {
	uexWidgetOne.cbGetPlatform = function (opId,dataType,data) {
		if(dataType==2&&data == 0){ //ios
			$('head').append('<link href="../../assets/css/iphone.css" rel="stylesheet" type="text/css">');
			isIOS = true;
		} else {
			isIOS = false;
		}
	}
	uexWidgetOne.getPlatform();
}
addLoadEvent(checkDevicePlatform);

function logout() {
	uexWindow.cbConfirm = function(opId,dataType,data) {
		if (data == 1) {
			ajaxp({
				url: '/login/logout',
				type: 'post',
				success: function(json) {
					if (json.state <= 0) {
						alert(json.msg);
					}
				}
			});
		}
	}
	uexWindow.confirm('注意','确定退出登录？',['返回','确定']);
}
function bindKeys() {
	store.set('waitingExit', 0);
	if(uexWidgetOne.getPlatform()){
		uexWindow.onKeyPressed = function (keyCode) {
			if (keyCode == 0) {
				if (snapper.state()['state'] != 'closed') {
					snapper.close();
					return false;
				}
				if (store.get('waitingExit') == 1) {
					uexWidgetOne.exit(0);
				} else {
					uexWindow.toast('0','5', '再按一次返回退出程序',"2000");
					store.set('waitingExit', 1);
					setTimeout(function () {
						store.set('waitingExit', 0);
					}, 2000);
				}
			} else if (keyCode == 1) {
				if (snapper.state()['state'] == 'closed') {
					snapper.open('left');
				} else {
					snapper.close();
				}
			}
		}
		uexWindow.setReportKey('0', '1');
		uexWindow.setReportKey('1', '1');
	}
}
addLoadEvent(bindKeys);