function ScannerSuccessCallBack(opCode, dataType, data){
	var obj = eval('('+data+')');
	var msg = obj.code;
	store.set('scan_result',msg);
	if (typeof obj.type == undefined || obj.type == '') {
		checkqr(msg);
	} else {
		if (obj.type != 'QR_CODE' && obj.type != 'QR-Code') {
			scanResultIsbn(msg);
		} else if (/^duyima\.com\/[\w]+$/.test(msg)) {
			checkqr(msg);
		} else if (/^BEGIN:VCARD.*END:VCARD$/i.test(msg)) {
			goUrl('/scan/vcard',1,{flag:4});
		} else if (/^MECARD/i.test(msg)) {
			goUrl('/scan/mecard',1,{flag:4});
		} else if (/^TEL:/i.test(msg)) {
			goUrl('/scan/tel',1,{flag:4});
		} else if (/^SMSTO:/i.test(msg)) {
			goUrl('/scan/sms',1,{flag:4});
		} else if (/^修改服务器.*$/.test(msg)) {
			$new_domain = msg.replace(/^修改服务器(.*)$/, '$1');
			setDomain($new_domain);
		} else if (/^(http(s?):\/\/)?([\u4e00-\u9fa5\-\w]+\.)+([\w-]{1,5}|中国)(:[\d]+)?([\/\?].*)?$/i.test(msg)) {
			goUrl('/scan/browser',1,{flag:4});
		} else if (/^WIFI:/i.test(msg)) {
			goUrl('/scan/wifi',1,{flag:4});
		} else {
			goUrl('/scan/other',1,{flag:4});
		}
	}
}
function checkqr(msg) {
	ajaxp({
		url: '/book/checkqr',
		data: 'code='+msg,
		type: 'post',
		success: function (json) {
			var msg = json.msg;
			if (json.code_type == 1) {//不是独一码
				scanResultIsbn(msg);
			} else if (json.code_type == 2) {//图书独一码
				scanResultOnlycode(msg,json.code_state);
			} else if (json.code_type == 3) {//用户独一码
				scanResultUser(msg);
			} else if (json.code_type == 4) {//书库独一码
				scanResultLib(msg);
			} else {
				eval(json.msg);
			}
		}
	});
}
function scanResultIsbn(msg) {
	goUrl('/scan/isbn?isbn='+msg,1,{flag:4});
}
function scanResultUser(msg) {
	goUrl('/scan/user?usercode='+msg,1,{flag:4})
}
function scanResultLib(msg) {
	goUrl('/library/join?lib_id='+msg,1,{flag:4})
}
function scanResultOnlycode(msg,state) {
	if (state == 0) {//新的独一码
		goUrl('/book/new?onlycode='+msg,1,{flag:4});
	} else if (state == 1) {//正常的独一码
		goUrl('/book/operate?onlycode='+msg+'&type=1',1,{flag:4});
	} else if (state == 2 || state == 3 || state == 4) {
		goUrl('/book/otherop?onlycode='+msg,1,{flag:4});
	} else {
		goUrl('/scan/other',1,{flag:4});
	}
}
//function ScannerSuccessCallBackOnlycode(opCode, dataType, data){
//	var obj = eval('('+data+')');
//	var msg = obj.code;
//	store.set('scan_result',msg);
//	if (obj.type != 'QR_CODE' && obj.type != 'QR-Code') {
//		restartScan('不是二维码，请重新扫描！');
//	} else {
//		if (msg.indexOf('duyima.com/')<0){
//			restartScan('该独一码不正确，请重新扫描！');
//			return false;
//		}
//		msg = msg.replace(/duyima\.com\//,'');
//		ajaxp({
//			url:'/onlycode/checkQr/code/'+msg,
//			success:function(json) {
//				if (json.state == -2) {
//					restartScan('该独一码已使用，请重新扫描！');
//					return false;
//				} else if (json.state > 0) {
//					goUrl('/book/new?code='+msg,1,{flag:4});
//				} else {
//					restartScan('该独一码不正确，请重新扫描！');
//					return false;
//				}
//			}
//		});
//	}
//}
function restartScan(error_msg) {
	uexWindow.toast('0','5',error_msg,"1500");
	setTimeout(uexScan,2500);
	return false;
}
//function ScannerSuccessCallBackISBN(opCode, dataType, data) {
//	var obj = eval('('+data+')');
//	msg = obj.code;
//	if (msg && obj.type != 'QR_CODE' && obj.type != 'QR-Code') {
//		$("#barcode").val(msg);
//		goUrl('/onlycode/searchbook?id=' + msg, 1, {flag:4});
//	} else {
//		restartScan('获取条形码信息错误');
//	}
//}
//添加快照时对扫描的处理
function OnlycodeScannerCb (opCode, dataType, data) {
	var obj = eval('('+data+')');
	var msg = obj.code;
	store.set('scan_result',msg);
	ajaxp({
		url: '/book/checkqr',
		data: 'code='+msg,
		type: 'post',
		success: function (json) {
			var msg = json.msg;
			if (json.code_type == 1) {//不是独一码
				if (obj.type != 'QR_CODE' && obj.type != 'QR-Code') {
					if ($('#isbn').length > 0) {
						$('#isbn').html(msg);
					}
					goUrl('/scan/isbn?isbn='+msg,1);
					return false;
				}
			} else if (json.code_type == 2) {//图书独一码
				if (json.code_state == 0) {
					if ($('#onlycode').attr('data-limit') == 1) {
						$('#onlycode').val(msg+';')
					} else {
						var old_value = $('#onlycode').val();
						if (old_value.indexOf(msg) >=0 ) {
							restartScan('此独一码已扫描');
							return false;
						} else {
							$('#onlycode').val($('#onlycode').val()+msg+';')
						}
					}
					uexWindow.toast('0','5','成功扫描',"1500");
				} else {
					restartScan('此独一码已使用');
				}
				return false;
			}
			restartScan('格式不正确，请重新扫描！');
		}
	});
}
$('#footer_right').on(TouchOrClick, function () {
	uexScanner.cbOpen = ScannerSuccessCallBack;
	var data_cb = $(this).attr('data-cb')
	if (data_cb) {
		uexScanner.cbOpen = window[data_cb];
	}
	uexScan();
});

function setDomain(new_domain) {
	if (new_domain.indexOf('http') < 0 ) {
		new_domain = 'http://' + new_domain;
	}
	new_domain = new_domain.replace(/\s/g, '');
	new_domain = new_domain.replace(/。/g, '.');
	if (new_domain == domain) {
		uexWindow.toast('0','5', '当前服务器已为：'+domain+' 不需要修改',"3000");
		return false;
	}
	uexWindow.cbConfirm = function(opId,dataType,data) {
		if (data == 1) {
			store.set('domain', new_domain);
			domain = new_domain;
			uexWindow.toast('0','5', '修改成功，重启应用使用新的服务器',"3000");
			store.set('bm_id', '');
			store.set('bm_n', '');
			store.set('bm_k', '');
			setTimeout(function () {
				uexWidgetOne.exit(0);
			}, 2000);
		}
	}
	uexWindow.confirm('当前服务器：'+domain,'确定将APP的请求服务器修改为：'+new_domain,['取消','确定']);
}