function booklist(booklist_id,json,MultiToOne) {

	var BookContent = '';//添加的内容
	var $element = $(booklist_id);//把内容添加$element内
	var $loadding = $('#bookListLoadding');
	var MultiToOne = MultiToOne || false;//是否把相同快照下的多本图书分开显示
	var goOtherOp = json.goOtherOp || false;
	var page = json.page;
	
	(function init() {
		if ($loadding.length >= 1) {
			$loadding.hide();
		}
		if (json.book_data && json.book_data.length <= 0) {
			loadMore.over && loadMore.over();
		}
		
		if (typeof type == "undefined" || type == 1) {
			BookSnap(false,page);
		} else {//分类和图书同时显示
			if (json.cache === 0) {
				BookClass();
			}
			BookSnap(true);
		}
		if (json.cache === 0) {
			$element.html(BookContent);
		} else {
			$element.append(BookContent);
		}
	})();

	function BookClass() {
		var class_data = json.class_data;
		
		if (typeof class_data == "undefined" || !$.isArray(class_data)) {
			return false;
		}
		
		if (class_data.length > 0) {
			BookContent += '<div class="s_t"><span>分类</span></div>';
			BookContent += '<ul class="catalog_list" id="class_BookContent">';
			for ( var i in class_data) {
				BookContent += '<li onclick="goclass(this,'+class_data[i].pclass_id+')" data-classid="'+class_data[i].pclass_id+'">'
						+'<span>'+class_data[i].book_class+'</span><span class=" icon-angle-right pull-right "></span></li>';
			}
			BookContent += '</ul>';
		}
	}

	function BookSnap(isClass) {
		var book_arr = json.book_data;

		if (!$.isEmptyObject(book_arr)) {
			if (isClass) {
				BookContent += '<div class="s_t"><span>图书</span></div>';
			}
			for (var i in book_arr) {
				var bookData = book_arr[i].book_data;
				var snapData = book_arr[i].snap_data;
				
				if (typeof bookData == "undefined" || !$.isArray(bookData) || bookData.length <= 0) {
					return false;
				}
				if (bookData.length <= 1) {
					OneBookSnap(bookData[0],snapData);
				} else {
					if (MultiToOne) {
						for (var j in bookData) {
							OneBookSnap(bookData[j],snapData);
						}
					} else {
						MultiBookSnap(bookData,snapData,i);
					}
				}
			}
		} else if (!isClass && page == 1) {
			BookContent += '<div class="panel"><ul class="text-center"><li><label>暂无内容</label></li></ul></div>';
		}
	}

	function OneBookSnap(bookData,snapData) {
		var onlycode = '';
		var holder_name = bookData.holder_name;
		var img_addon = '';
		var book_pic = snapData.book_pic || '../../assets/image/book_default.png';
		var oc_id = bookData.oc_id;
		
		BookContent += '<div class="book_list" id="oc_id_'+oc_id+'" onclick="goSnap(this,'+oc_id+',\''+bookData.onlycode+'\','+goOtherOp+');">' + img_addon
				+'<div class="book_image_box"><img src="'+snapData.book_pic+'" class="book_image"></div>';
		BookContent += '<div class="pull-right book_icon"><span class="icon-eye"><span></div>';

		getTemp(snapData);
		
		if (holder_name) {
			holder_name = '借阅人:'+ holder_name.replace(/^~\[(.*)~\]$/,'$1');
		} else {
			holder_name = '借阅人:--';
		}
		if (bookData.oc_type == 1) {
			onlycode = '独一码:'+bookData.onlycode;
		} else if (bookData.oc_type == 2) {
			onlycode = '独一码:--';
		}
		BookContent += '<div class="book_adopted">'+onlycode+' / '+holder_name+'</div></div>';
	}

	function MultiBookSnap(bookData,snapData,i) {
		console.log(typeof type);
		if (typeof type != 'undefined') {
			i = i + type;
		}
		BookContent += '<div class="book_list" onclick="show_snapshot(this);" id="oc_id_'+bookData[0].oc_id+'" data-href="#showmore'+i+'" data-snapid="'+snapData.snapshot_id+'">'
				+'<div class="book_image_box"><img src="'+snapData.book_pic+'" class="book_image"></div>';
		BookContent += '<div style="font-size: 1em;height: 6em;position: relative;overflow: hidden;"><div class="pull-right book_icon"><span class="icon-left-dir"></span></div>';
		
		getTemp(snapData);

		BookContent += '<div class="book_adopted">点击显示多本相同图书</div></div></div>';
		BookContent += '<div class="book_more" id="showmore'+i+'">'
				+'<div class="letter"><table style="border: 1px solid #EEE;margin-bottom: 0;" class="table">'
				+'<tr></td><td width="20%"></td><td width="30%">独一码</td><td width="40%">借阅人</td><td width="10%"></td></tr>';
		for (var j in bookData) {
			var onlycode = '';
			var holder_name = bookData[j].holder_name;
			var book_pic = bookData[j].book_pic || '../../assets/image/book_default.jpg';
			
			if (holder_name) {
				holder_name = holder_name.replace(/^~\[(.*)~\]$/,'$1');
			} else {
				holder_name =  '--';
			}
			if (bookData[j].oc_type == 1) {
				onlycode = bookData[j].onlycode;
			} else if (bookData[j].oc_type == 2) {
				onlycode = '--'
			}
			BookContent += '<tr onclick="goSnap(this,'+bookData[j].oc_id+',\''+bookData[j].onlycode+'\','+goOtherOp+');"><td style="text-align:center;"><img src="'+book_pic+'" ></td>'
					+ '<td>'+onlycode+'</td>'
					+'<td>'+holder_name+'</td>'
					+'<td><span class="icon-eye"></span></td></tr>';
		}
		BookContent += '</table></div></div>';
	}

	function getTemp(snapData) {//图书公共部分
		BookContent +='<div class="book_name">'+snapData.book_name+'</div>'
					+'<div class="book_small">'
						+'<div >作者：'+snapData.book_author+' </div>'
						+'<div >价格：'+snapData.book_price_type+snapData.book_price+' </div>'
						+'<div >出版时间：'+snapData.book_date+' / '+snapData.book_edition+' </div>'
						+'<div >出版社：'+snapData.book_press+' </div>'
					+'</div>';
	}
}
function goSnap(item,id,onlycode,goOtherOp) {
	$this = $(item);
	if (goOtherOp) {
		goUrl('/book/otherop?onlycode='+onlycode,1);
	} else {
		goUrl('/book/operate?onlycode='+id+'&type=2',1);
	}
}

function show_snapshot(item) {
	console.log(item);
	$trigger = $(item);
	var $this = $trigger.attr('data-href') ? $($trigger.attr('data-href')) : $trigger.next();
	if ( $this.hasClass('open')) {
		$this.hide();
		$trigger.find('.icon-left-dir').attr('class','icon-left-dir').end().find('.book_adopted').html('点击显示多本相同图书');
		$this.removeClass('open');
	} else {
		$this.show()
		$trigger.find('.icon-left-dir').attr('class','icon-left-dir opened').end().find('.book_adopted').html('点击隐藏多本相同图书');
		$this.addClass('open');
	}
}